## networking-ovs-dpdk 2015.1.1+git20151118.35ac4c7

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.



pbr>=0.11,<2.0
Babel>=1.3
six>=1.9.0
netaddr>=0.7.12
oslo.service>=0.1.0                     # Apache-2.0

## networking-ovs-dpdk 2015.1.1%2Bgit20151118.35ac4c7

=== debian/control ===
Source: networking-ovs-dpdk
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: James Page <james.page@ubuntu.com>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-hacking (>= 0.9.2),
                     python-netaddr (>= 0.7.12),
                     python-neutron (>= 1:7.0.0~),
                     python-oslo.service (>= 0.1.0),
                     python-oslosphinx,
                     python-oslotest (>= 1:1.1.0~a1),
                     python-pbr (>= 0.11),
                     python-six (>= 1.9.0),
                     python-tempest-lib (>= 0.2.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.34),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Homepage: http://neutron.openstack.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/networking-ovs-dpdk.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/networking-ovs-dpdk.git

Package: python-networking-ovs-dpdk
Architecture: all
Section: python
Depends: python-babel (>= 1.3),
         python-netaddr (>= 0.7.12),
         python-neutron (>= 1:7.0.0~),
         python-oslo.service (>= 0.1.0),
         python-pbr (>= 0.11),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - Open vSwitch DPDK ML2 mechanism driver
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Open vSwitch DPDK ML2
 mechanism driver, providing fast userspace packet processing for cloud
 instances.

## networking-ovs-dpdk 2015.1.1+git20151118.35ac4c7

=== debian/changelog ===
networking-ovs-dpdk (2015.1.1+git20151118.35ac4c7-1) unstable; urgency=medium

  * Initial release (Closes: #805479).

 -- James Page <james.page@ubuntu.com>  Tue, 17 Nov 2015 12:04:44 +0000

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := git://github.com/openstack/networking-ovs-dpdk.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell echo '$(VERSION)' | cut -d + -f 1)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:
